Arch API

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch API and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎hrvatski • ‎italiano • ‎română • ‎Türkçe
(November 2018) L'API Arch est répertoriée dans la documentation API générée automatiquement.


Les fonctions de l'API font partie de l'atelier Arch et peuvent être utilisées dans des macros et à partir de la console Python une fois que le module Arch a été importé. L'atelier renforcement a ses propres API de renforts.

Exemple:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)

Arch.makeWall(baseline, length=None, width=200, height=2000)